<?php
declare(strict_types=1);

namespace GamesShop\Importer;

use GamesShop\Entities\Games\KeyAttribute;
use JsonSerializable;

final readonly class ImportColumnInterpretation implements JsonSerializable
{
    public function __construct(
        public string $index,
        public string $displayName,
        public KeyAttribute|null $guessedAttribute
    )
    { }

    public function jsonSerialize(): array
    {
        return [
            'index' => $this->index,
            'displayName' => $this->displayName,
            'guessedAttribute' => $this->guessedAttribute ?? null
        ];
    }
}