<?php
declare(strict_types=1);

use GamesShop\ContainerHandler;
use GamesShop\CrashHandler;
use GamesShop\DoctrineManager;
use GamesShop\Environment\EnvironmentHandler;
use GamesShop\Errors\ExtendedException;
use GamesShop\Routing\Router;
use Laminas\HttpHandlerRunner\Emitter\SapiEmitter;
use Whoops\Handler\HandlerInterface;
use Whoops\Handler\PrettyPageHandler;
use Whoops\Run;

require_once __DIR__ . '/../src/php/bootstrap.php';

ContainerHandler::get(CrashHandler::class)->register();

$router = ContainerHandler::getInstance()->get(Router::class);
$result = $router->route();

(new SapiEmitter)->emit($result);